# HaruDoc::getPageMode

(PECL haru >= 0.0.1)

HaruDoc::getPageMode — Get current page mode

### Description

HaruDoc::getPageMode ( void ) : int

Get the current page mode. See HaruDoc::setPageMode() for the list of possible values.

### Parameters

This function has no parameters.

### Return Values

Returns the page mode currently set in the document. See HaruDoc::setPageMode() for the list of possible values.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setPageMode() - Set how the document should be displayed